Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.redelivery
Interface RedeliveryHandler

All Known Implementing Classes:
  AbstractRedeliveryHandler, CountingRedeliveryHandler, JmsXRedeliveryHandler

    public interface RedeliveryHandler

`RedeliveryHandler` is used to control how redelivered messages are processed by a connector. Typically, a messsage will be re-tried once or twice before throwing an exception. Then the exception strategy on the connector can be used to forward the message to a JMS queue or log the failure.

Method Summary
`void` | `handleRedelivery(Message message, ImmutableEndpoint endpoint, FlowConstruct flow)` Process the redelivered message.
`void` | `setConnector(JmsConnector connector)` The connector associated with this handler is set before `handleRedelivery()` is called

Method Detail

### setConnector

    void setConnector(JmsConnector connector)

  The connector associated with this handler is set before `handleRedelivery()` is called

  Parameters:
    `connector` - the connector associated with this handler

### handleRedelivery

    void handleRedelivery(Message message,
                          ImmutableEndpoint endpoint,
                          FlowConstruct flow)
                          throws JMSException,
                                 MuleException

  Process the redelivered message. If the JMS receiver should process the message, it should be returned. Otherwise the connector should throw a `MessageRedeliveredException` to indicate that the message should be handled by the connector's exception handler.

  Parameters:
    `message` - the redelivered message
    `endpoint` - from which the message was received
    `flow/service` - in which the exception occured, this is used to obtain the appropriate exception handler
  Throws:
    `JMSException` - if properties cannot be read from the JMSMessage
    `MessageRedeliveredException` - should be thrown if the message should be handled by the connection exception handler
    `MuleException` - if there is a problem reading or proessing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.